# Class PRS_Expression
extends PRS_ExpressionElement

PRS_Expression defines a specific relationship between PRS_ExpressionElements associated with PRS_SolutionElements.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_ExpressionElement
|
+--PRS_Expression

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Expression defines a specific relationship between PRS_ExpressionElements associated with PRS_SolutionElements.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Relation | string |
Description | string | The operator to be used with the associated PRS_Expression Elements. The 'AND', 'OR' and 'NOT' operators are the only operators currently defined by the standard. (They must be used as uppercase strings.) Note that this is a vendor-extensible property - so that additional operators can be defined and used in implementations.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods